.btn {
    border-radius: 4px;
    cursor: pointer;
    position: relative;
    display: block;
    overflow: hidden;
    height: 180px;
    min-width: 320px;
    margin: 1rem auto;
}

.body {
    background: url("../../public/img/service/body.png") no-repeat;
    background-size: cover
}

.interior {
    background: url("../../public/img/service/interior.png") no-repeat;
    background-size: cover
}

.optics {
    background: url("../../public/img/service/optics.png") no-repeat;
    background-size: cover
}

.carwash {
    background: url("../../public/img/service/carwash.png") no-repeat;
    background-size: cover
}

.btn:before {
    content: "";
    position: absolute;
    box-sizing: border-box;
    transition: 0.5s ease-in-out;
    top: 0;
    right: -360px;
    bottom: 0;
    left: 0;
    width: 600px;
    background: linear-gradient(120deg, rgba(0,0,0,0.7) 0%, rgba(0,0,0,0.7) 33%, rgba(0,0,0,0.7) 33%, rgba(0,0,0,0.7) 78%, rgba(255,255,255,0) 78.2%, rgba(255,255,255,0) 100%);
    transform: translateX(-45%);
}

.btn:hover:before {
    transform: translateX(0%);
}

.mFadeOut {
    visibility: hidden;
    opacity: 0;
    transition: visibility 0s linear 500ms, opacity 500ms;
}
.mFadeIn {
    visibility: visible;
    opacity: 1;
    transition: visibility 0s linear 0s, opacity 500ms;
}